Issue 123901 - formula DGET() gives #VALUE! error when fetching calculation resulting in string
Summary: formula DGET() gives #VALUE! error when fetching calculation resulting in string
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: programming (show other issues)
Version: 4.0.1
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.2
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-21 09:13 UTC by papayes
Modified: 2015-10-18 01:26 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.2-dev
Developer Difficulty: ---
pescetti: 4.1.2_release_blocker+


Attachments
Error when data containt formula with string (25.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-12-21 09:24 UTC, papayes
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description papayes 2013-12-21 09:13:35 UTC

    
Comment 1 papayes 2013-12-21 09:24:02 UTC
Created attachment 82144 [details]
Error when data containt formula with string
Comment 2 papayes 2013-12-21 09:27:09 UTC
Hello,

When the DGET() formula fetches data from a cell that contains a formula THAT RESULTS IN A STRING, the result is the #VALUE!-error. The fetched cell itself shows the correct string value.

If the fetched cell contains a string (not a formula), the string is fetched correctly.

Resolved with LibreOffice :
https://bugs.freedesktop.org/show_bug.cgi?id=49052
cordially
Comment 3 Edwin Sharp 2013-12-22 13:34:47 UTC
Confirmed with
AOO410m1(Build:9750)  -  Rev. 1551264
2013-12-17_04:10:52 - Rev. 1551455
Debian
Comment 4 SVN Robot 2015-09-09 20:35:13 UTC
"damjan" committed SVN revision 1702107 into trunk:
#i123901# formula DGET() gives #VALUE! error when fetching calculation result...
Comment 5 damjan 2015-09-09 20:38:30 UTC
ScDBQueryDataIterator::DataAccessInternal::getCurrent() was only dealing with formulas returning numbers, and skipping all strings. Patch committed, resolving fixed. Thank you for your bug report!
Comment 6 Andrea Pescetti 2015-09-24 06:22:43 UTC
Approved for 4.1.2. @damjan: feel free to merge.
Comment 7 Andrea Pescetti 2015-10-07 21:18:29 UTC
Committed to AOO410 for OpenOffice 4.1.2. Note: only the code fixes were merged, tests are only on trunk.
Comment 8 Andrea Pescetti 2015-10-17 22:11:24 UTC
To verify: Open papayes' nice test document from the Attachments list ("Error when...") and check if you get an error in row 15.
Comment 9 Pedro 2015-10-18 01:26:21 UTC
Verified fixed with

AOO412m2(Build:9781)  -  Rev. 1707648
2015-09-28 12:45:04 (Mo, 28 Sep 2015)

under Windows 7 Pro x64 SP1